com.trendmicro.ds.platform.rest.object.tenant

## Class CreateTenantRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.WebServiceRequest
  - - com.trendmicro.ds.platform.rest.object.tenant.CreateTenantRequest

-     public class CreateTenantRequest
      extends WebServiceRequest

  Class encapsulating data/directive to be used for the creation of a new tenant.

  For tenant creation, only name, language, country, and time zone are required in the tenant element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateTenantRequest()`
    `CreateTenantRequest(java.lang.String sessionId, CreateTenantOptions createOptions, TenantElement tenantElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateTenantOptions` | `getCreateOptions()` The options to use when creating the tenant.
    `TenantElement` | `getTenantElement()` The information about the tenant.
    `void` | `setCreateOptions(CreateTenantOptions createOptions)`
    `void` | `setTenantElement(TenantElement tenantElement)`

    - ### Methods inherited from class com.trendmicro.ds.platform.rest.object.WebServiceRequest

      `getSessionId, setSessionId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateTenantRequest

          public CreateTenantRequest()

    - #### CreateTenantRequest

          public CreateTenantRequest(java.lang.String sessionId,
                                     CreateTenantOptions createOptions,
                                     TenantElement tenantElement)

  - ### Method Detail

    - #### getCreateOptions

          public CreateTenantOptions getCreateOptions()

      The options to use when creating the tenant.

    - #### setCreateOptions

          public void setCreateOptions(CreateTenantOptions createOptions)

    - #### getTenantElement

          public TenantElement getTenantElement()

      The information about the tenant.

    - #### setTenantElement

          public void setTenantElement(TenantElement tenantElement)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.